package com.kingdee.eas.custom.recuritment.task.osf.database;


public enum HRWedEnum {

    WED_1("01","未婚","1","未婚"),
    WED_2("02","已婚","2","已婚"),
    WED_3("03","丧偶","3","丧偶"),
    WED_4("04","离婚","4","离异"),
    WED_5("05","再婚","5","再婚"),
    WED_6("06","其他","6","其他"),
    WED_7("07","已婚已育","3","已婚已育"),
    ;

    private final String key;
    private final String value;

    private final String beisenKey;
    private final String beisenValue;

    public String getBeisenKey() {
        return beisenKey;
    }

    public String getBeisenValue() {
        return beisenValue;
    }

    public String getKey() {
        return key;
    }
    public String getValue() {
        return value;
    }

    HRWedEnum(String key, String value, String beisenKey, String beisenValue) {
        this.key = key;
        this.value = value;
        this.beisenKey = beisenKey;
        this.beisenValue = beisenValue;
    }
    public static HRWedEnum getByKey(String key){
        HRWedEnum propertyEnum=null;
        for(HRWedEnum e : HRWedEnum.values()){
            if(e.getKey().equals(key)){
                propertyEnum = e;
                break;
            }
        }
        return propertyEnum;
    }
    public static HRWedEnum getBeisenKey(String beisenKey){
        HRWedEnum propertyEnum=null;
        for(HRWedEnum e : HRWedEnum.values()){
            if(e.getBeisenKey().equals(beisenKey)){
                propertyEnum = e;
                break;
            }
        }
        return propertyEnum;
    }
}

